package com.nisum.offertransactionservice.controller;

import com.nisum.offertransactionservice.model.OfferTransactionRequest;
import com.nisum.offertransactionservice.model.OfferTransactionResponse;
import com.nisum.offertransactionservice.service.OfferCallingPEService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

import javax.validation.Valid;

@RestController
public class OfferTransactionController {

    @Autowired
    private OfferCallingPEService offerCallingPEService;

    @PostMapping("offerTransactionCall")
    public OfferTransactionResponse getOfferTransactionResponse(@Valid @RequestBody OfferTransactionRequest offerTransactionRequest){
        return offerCallingPEService.getDiscountedItemList(offerTransactionRequest);
    }

}



