package com.nisum.offertransactionservice.converter;

import com.nisum.offertransactionservice.model.OfferTransactionResponse;
import com.nisum.offertransactionservice.model.PEResponse;
import org.springframework.stereotype.Component;

import java.util.function.Function;

@Component
public class PEResponseToOfferTransactionResConverter implements Function<PEResponse, OfferTransactionResponse> {

    @Override
    public OfferTransactionResponse apply(PEResponse peResponse) {
        OfferTransactionResponse offerTransactionResponse = new OfferTransactionResponse();
        offerTransactionResponse.setDiscountedItemList(peResponse.getDiscountedItemList());
        offerTransactionResponse.setHhid(peResponse.getHhid());
        return offerTransactionResponse;
    }
}
