package com.nisum.offertransactionservice.model;

import lombok.AccessLevel;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.FieldDefaults;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

@Data
@NoArgsConstructor
@AllArgsConstructor
@FieldDefaults(level = AccessLevel.PRIVATE, makeFinal = false)
@Entity
@Table(name = "offerlookup")
public class OfferLookup {

    @Id
    @Column(name = "offer_lookup_id")
    String id;
    @Column(name ="offer_id")
    String offerId;
    @Column(name ="store_id")
    String storeId;
    @Column(name ="terminal")
    String terminal;
    @Column(name ="pre_condition")
    String preCondition;
    @Column(name ="offer_type")
    String idType;
}
