package com.nisum.offertransactionservice;

import com.nisum.offertransactionservice.dao.OfferLookupRepo;
import com.nisum.offertransactionservice.model.OfferLookup;
import com.safeway.epe.exception.ExceptionResponseHandlerImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.CommandLineRunner;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.annotation.Bean;

@SpringBootApplication
public class OffertransactionserviceApplication {

	public static void main(String[] args) {
		SpringApplication.run(OffertransactionserviceApplication.class, args);
	}


	@Bean
	public ExceptionResponseHandlerImpl getExceptionService(){
		return new ExceptionResponseHandlerImpl();
	}

}
